Uploaded image for project: 'Puppet Agent'
  1. Puppet Agent
  2. PA-1850

PXP fails to start after a Puppet Agent upgrade with SSL library errors

    Details

    • CS Priority:
      Major
    • CS Frequency:
      3 - 25-50% of Customers
    • CS Severity:
      4 - Major
    • CS Business Value:
      5 - $$$$$$
    • CS Impact:
      Hide
      If openssl libraries(of a different version than ours) are installed in the Windows system folders then the PXP agent will fail to start. The workaround is to is to reorder the path or remove or replace those library files in other locations.

      This has come up with 5-10x in the last few weeks, a very high rate of occurrence.
      Show
      If openssl libraries(of a different version than ours) are installed in the Windows system folders then the PXP agent will fail to start. The workaround is to is to reorder the path or remove or replace those library files in other locations. This has come up with 5-10x in the last few weeks, a very high rate of occurrence.
    • Release Notes:
      Bug Fix
    • Release Notes Summary:
      All of the .dll files that the pxp-agent binary depends on are now copied over to the executable's directory (the <pxp-agent-install-root>/bin directory).

      Description

       

      This issue was created from PUP-6702

       Steps to reproduce;
      Unknown at this stage.  Looks like it could be made to happen after the puppet_agent module does an agent upgrade.

        Attachments

          Issue Links

            Activity

              jsd-sla-details-panel

                People

                • Assignee:
                  enis.inan Enis Inan
                  Reporter:
                  glenn.sarti Glenn Sarti
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  14 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: